//
// Created by jholder on 16.12.21.
//

#include "logging.hpp"
#include <spdlog/spdlog.h>

void LOGGER::setLogging(LOG_LEVEL level) {
    switch (level) {
        case LOG_LEVEL::WARN:
            spdlog::set_level(spdlog::level::warn);
            break;
        case LOG_LEVEL::DEBUG:
            spdlog::set_level(spdlog::level::debug);
            break;
        case LOG_LEVEL::TRACE:
            spdlog::set_level(spdlog::level::trace);
            break;
    }
}